curl https://app.soosh.io/v1/messages/8c2e4f6a-1d3b-4a5c-9e7f-2b4d6f8a0c1e \
-H "Authorization: Bearer $SOOSH_API_KEY"
const res = await fetch('https://app.soosh.io/v1/messages/8c2e4f6a-1d3b-4a5c-9e7f-2b4d6f8a0c1e', {
headers: {
Authorization: `Bearer ${process.env.SOOSH_API_KEY}`,
},
});
console.log(await res.json());
import os
import requests
res = requests.get(
"https://app.soosh.io/v1/messages/8c2e4f6a-1d3b-4a5c-9e7f-2b4d6f8a0c1e",
headers={"Authorization": f"Bearer {os.environ['SOOSH_API_KEY']}"},
)
print(res.json())
{
"id": "8c2e4f6a-1d3b-4a5c-9e7f-2b4d6f8a0c1e",
"contact_id": "4ea0d485-435d-407f-837a-c7d67095f23a",
"number_id": "0f6d3c1e-5b7a-4c52-9a55-3f6a2d5c8b10",
"direction": "outgoing",
"type": "text",
"status": "delivered",
"text": {
"body": "Your order has shipped."
},
"media": null,
"template": null,
"interactive": null,
"reply_to_message_id": null,
"whatsapp_message_id": "wamid.HBgMOTE5ODc2NTQzMjEwFQIAERgSQzc0RkJBMEY3QjI5RDdFNjk3AA==",
"error": null,
"sent_by": {
"type": "api_key",
"id": "5e1d2c3b-4a59-4f68-8e7d-6c5b4a392817",
"name": "Order system"
},
"broadcast_id": null,
"created_at": "2026-10-14T09:30:12.481Z",
"updated_at": "2026-10-14T09:30:15.902Z"
}